package com.ruoyi.common.enums;

import lombok.Getter;

/**
 * API错误信息
 */
@Getter
public enum ServiceResponseEnum
{
    CAPTCHA_EXPIRE("验证码失效", 500),
    CAPTCHA_ERROR("验证码错误", 500),
    SMSCODE_ERROR("短信验证码错误", 500),

    NO_AUTH_OPERATION("无权限操作", 500),
    PARAM_EXCEPTION("参数异常", 500),

    MINIPROGRAM_AUTHORIZE_ERR("微信授权失败", 500),
    MINIPROGRAM_AUTHORIZE_PHONE_ERR("授权手机号失败", 500),
    MEMBER_USER_FREEZE("此账号被冻结", 500),

    DICT_TYPE_NULL("未查询到字典信息", 500),
    DICT_TYPE_STOP_USE("字典已停用", 500),


    UPLOAD_FILE_NOT_NULL("上传文件不能为空", 500),
    UPLOAD_FILE_FAILED("文件上传失败", 500),





    SMS_CODE_TIME_OUT("短信验证码超时/不存在",500),
    SMS_CODE_TIME_ERROR("短信验证码错误",500),




    ;


    /** 消息 */
    private final String msg;

    /** 错误码 */
    private final Integer code;

    ServiceResponseEnum(String msg, Integer code)
    {
        this.msg = msg;
        this.code = code;
    }

}
